﻿//Variables colores principales
@import 'colores';

@import 'grid-system.scss';

:root {
    color: $color-black-100;
    font-size: 1.5rem;
    font-family: "SF Pro Text","SF Pro Icons","Helvetica Neue","Helvetica","Arial",sans-serif;
}


body {
    margin: 0px;
    overflow: hidden;
}

main {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}


nav {
    border-bottom: 3px solid $color-black-100;
    padding:20px;

    ul {
        display: flex;
        justify-content: center;
        width: 100%;
        list-style: none;
        margin: 0px;
        padding: 0px;
    }

    ul li {
        padding-left: 10px;
        padding-right: 10px;

        a {
            text-decoration: none;
            color: unset;
            font-family: inherit;
            padding: 10px;
            border-radius: 10px;

            &:hover {
                background: $color-primario;
                color: white;
            }

            &:active, &:active {
                color: inherit;
            }
        }
    }
}





.formulario1 {
    display: grid;
    grid-template-columns: repeat(1,1fr);

    @media(max-width:750px) {
        grid-template-columns: 1fr;
    }
}

.formularioBusqueda {
    display: flex;
    grid-gap: 20px;
    justify-content: space-between;
}



table{
    width:100%;
    

    thead{
        background:$color-acento;
        color:white
    }
    tbody{border:none;}

    th,td{
        padding:20px;
    }
}




.btnGuardar {
    

    @media(max-width:750px) {
        grid-column: 1;
    }
}







    @mixin estandar() {
        padding: 20px;
        border-radius: 10px;
    }

    @mixin componente() {
        @include estandar();
        border: none;
        font-size: inherit;
        transition: .2s ease-out;
        cursor: pointer;
        min-width: 250px;

        &::placeholder {
            color: lighten($color-black-100,30);
        }
    }

    @mixin componentes-similares() {
        background: $color-acento;
        border: 5px solid darken($color-acento,5);

        &:hover {
            background: darken($color-acento,10);
        }
    }

    select {
        @include componente();
        @include componentes-similares();
        color: white;

        option {
            color: white;
        }
    }

    input[type=text] {
        @include componente();
        border: 5px solid $color-black-100;

        &:focus-visible {
            border: 5px solid darken($color-acento,5);
        }
    }

    input[type=submit] {
        @include componente();
        @include componentes-similares();
        min-width: 250px;
        color: white;
        font-weight: bold;
        border-radius: 40px;
    }

    input[type=checkbox] {
        @include componente();
    }


.wrapper-edit {
    display: grid;
    grid-gap: 20px;
    grid-template-columns: 3fr 1fr;
}


.card {
    @include estandar();
    box-shadow: 0px 0px 30px -20px $color-black-100;
    min-width: 40%;
}

